<?php
/*********************************************************
程序名称：站长助手 WEBMASTER HELPER
作者：feixin
email:kusite@etang.com
版权：feixin (http://www.zc18.com)
//////////////////////////////////////////////////////////

最后编辑日期：2003-6-22
*********************************************************/

if (!defined('IN_WH')) {
  die("不要黑我啊");
}

$tmpdir = $WHuds->safecheck($WHuds->root . WH_SLASH . $dir_name);

if(!$WHuds->exists($tmpdir))
{
	$WH->message("目录不存在！");
}
else
{
	$WH->message("目录<b>{$tmpdir}</b>列表");
	$list_str = "";
	$WHuds->myaction($tmpdir, "my_file_func", "my_dir_func");
	echo $list_str;
}

//定义对文件的操作函数，参数只能是文件
function my_file_func($file)
{
	global $list_str;
	$list_str .= "文件：<b>".$file ."</b>\n<br />";

	return true;
}

//定义对目录的操作函数，参数只能是目录
function my_dir_func($dir)
{
	global $list_str;
	$list_str .= "目录：".$dir ."\n<br />";

	return true;
}
?>